Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Class QueryCriteria

    java.lang.Object
      com.bea.content.spi.QueryCriteria

All Implemented Interfaces
  Serializable

Deprecated As of 10.2, replaced by `QueryCriteria`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public class QueryCriteria

extends Object
implements Serializable

query sort criteria

See Also
  Serialized Form

Constructor Summary
`QueryCriteria(SortCriteria sortCriteria, FilterCriteria filterCriteria)` Deprecated Construct a QueryCriteria object.
`QueryCriteria(SortCriteria sortCriteria, List<FilterCriteria> filterCriteria)` Deprecated Create a query criteria with multiple filter criteria.

Method Summary
`boolean` | `equals(Object obj)` Deprecated
`FilterCriteria` | `getFilterCriteria()` Deprecated Returns the first filter criteria in the filter criteria list.
`List<FilterCriteria>` | `getFilterCriteriaList()` Deprecated Return the filter criteria list
`SortCriteria` | `getSortCriteria()` Deprecated
`int` | `hashCode()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryCriteria

    public QueryCriteria(SortCriteria sortCriteria,
                         FilterCriteria filterCriteria)

  Deprecated
  Construct a QueryCriteria object.

  Parameters
    `sortCriteria` - The sort criteria.
    `filterCriteria` - The filter criteria.

### QueryCriteria

    public QueryCriteria(SortCriteria sortCriteria,
                         List<FilterCriteria> filterCriteria)

  Deprecated
  Create a query criteria with multiple filter criteria. Please note that not all of the methods may support multiple filter criteria

  Parameters
    `sortCriteria` - The sort criteria.
    `filterCriteria` - The filter criteria list

Method Detail

### getSortCriteria

    public SortCriteria getSortCriteria()

  Deprecated

### getFilterCriteria

    public FilterCriteria getFilterCriteria()

  Deprecated
  Returns the first filter criteria in the filter criteria list.

  Returns

### getFilterCriteriaList

    public List<FilterCriteria> getFilterCriteriaList()

  Deprecated
  Return the filter criteria list

  Returns
    filterCriteriaList

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.